net.corda.core.node.services

## Interface ReadOnlyTransactionStorage

- All Known Subinterfaces:
    TransactionStorage
  All Known Implementing Classes:
    DBTransactionStorage

      public ReadOnlyTransactionStorage

  Thread-safe storage of transactions.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `getTransaction(SecureHash id)` Return the transaction with the given id, or null if no such transaction exists.
    `rx.Observable<net.corda.core.transactions.SignedTransaction>` | `getUpdates()` Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.
    `kotlin.Pair<java.util.List,rx.Observable>` | `track()` Returns all currently stored transactions and further fresh ones.

- - ### Method Detail

    - #### getTransaction

          SignedTransaction getTransaction(SecureHash id)

      Return the transaction with the given id, or null if no such transaction exists.

    - #### getUpdates

          rx.Observable<net.corda.core.transactions.SignedTransaction> getUpdates()

      Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.

    - #### track

          kotlin.Pair<java.util.List,rx.Observable> track()

      Returns all currently stored transactions and further fresh ones.